document.addEventListener('DOMContentLoaded', function() {
    // Handle smooth scrolling for navigation links
    document.querySelectorAll('a[href^="#"]').forEach(anchor => {
        anchor.addEventListener('click', function (e) {
            e.preventDefault();
            document.querySelector(this.getAttribute('href')).scrollIntoView({
                behavior: 'smooth'
            });
        });
    });

    // Form submission handler
    const registrationForm = document.querySelector('.registration-form form');
    if (registrationForm) {
        registrationForm.addEventListener('submit', handleRegistration);
    }
});

function handleRegistration(event) {
    event.preventDefault();
    
    // Get form values
    const fullName = document.getElementById('fullName').value;
    const ssn = document.getElementById('ssn').value;
    const state = document.getElementById('state').value;
    
    // Basic validation
    if (!fullName || !ssn || !state) {
        alert('Please fill in all required fields');
        return;
    }
    
    // Here you would typically send the data to a server
    // For demo purposes, we'll just show a success message
    alert('Registration submitted successfully!');
    event.target.reset();
}

function toggleLogin() {
    // Login functionality would be implemented here
    alert('Login functionality would be implemented here');
}

function goToRegister() {
    document.querySelector('#register').scrollIntoView({
        behavior: 'smooth'
    });
}

// Initialize results chart (mock data)
function initializeResultsChart() {
    const resultsContainer = document.getElementById('resultsChart');
    if (resultsContainer) {
        // This would typically be replaced with actual chart implementation
        resultsContainer.innerHTML = `
            <div style="text-align: center; padding: 2rem;">
                <p>Live election results will be displayed here when available.</p>
            </div>
        `;
    }
}

// Call initialize functions
initializeResultsChart();
